GET /katello/api/docker_tags
List docker_tags

GET /katello/api/content_views/:content_view_id/filters/:filter_id/docker_tags
List docker_tags

GET /katello/api/content_view_filters/:content_view_filter_id/docker_tags
List docker_tags

GET /katello/api/repositories/:repository_id/docker_tags
List docker_tags

Examples

GET /katello/api/repositories/992333848/docker_tags
200
{
  "total": 2,
  "subtotal": 2,
  "selectable": 2,
  "page": 1,
  "per_page": 20,
  "error": null,
  "search": null,
  "sort": {
    "by": "id",
    "order": "desc"
  },
  "results": [
    {
      "id": 19,
      "name": "multiarch-index",
      "manifest_schema1": null,
      "manifest_schema2": {
        "id": "a15f138a185e2128e340d62606d266a7",
        "schema_version": 2,
        "digest": "cf03de55cafa1f0428df04ac053bca11",
        "manifest_type": "list"
      },
      "manifest": {
        "id": "a15f138a185e2128e340d62606d266a7",
        "schema_version": 2,
        "digest": "cf03de55cafa1f0428df04ac053bca11",
        "manifest_type": "list",
        "labels": {},
        "annotations": {},
        "is_bootable": false,
        "is_flatpak": false,
        "created_at": "2026-11-03 08:07:53 UTC",
        "updated_at": "2026-11-03 08:07:53 UTC",
        "manifests": [
          {
            "id": 980190991,
            "digest": "50a16d22fde38c8c2ec7799cd5234ad1",
            "schema_version": 2,
            "manifest_type": "image",
            "labels": {},
            "annotations": {},
            "is_bootable": false,
            "is_flatpak": false,
            "created_at": "2026-11-03 08:07:52 UTC",
            "updated_at": "2026-11-03 08:07:52 UTC"
          },
          {
            "id": 980190992,
            "digest": "sha256:indexchild1",
            "schema_version": 2,
            "manifest_type": "image",
            "labels": {},
            "annotations": {},
            "is_bootable": false,
            "is_flatpak": false,
            "created_at": "2026-11-03 08:07:53 UTC",
            "updated_at": "2026-11-03 08:07:53 UTC"
          }
        ]
      },
      "repositories": [
        {
          "id": 992333848,
          "name": "redis",
          "full_path": "runnervm48cm3/empty_organization/puppet_product/redis",
          "library_instance": true,
          "product_id": 516337990,
          "product_name": "Puppet Product",
          "kt_environment": {
            "id": 562075838,
            "name": "Library"
          },
          "content_view_version": {
            "id": 840492357,
            "name": "ACME Default ContentView 1.0",
            "content_view_id": 30237652
          }
        }
      ],
      "product": {
        "id": 516337990,
        "name": "Puppet Product"
      },
      "environment": {
        "id": 562075838,
        "name": "Library"
      },
      "content_view_version": {
        "id": 840492357,
        "name": "ACME Default ContentView 1.0",
        "content_view_id": 30237652
      },
      "upstream_name": null
    },
    {
      "id": 18,
      "name": "wat",
      "manifest_schema1": {
        "id": "123xyz",
        "schema_version": null,
        "digest": "abc123",
        "manifest_type": "image"
      },
      "manifest_schema2": null,
      "manifest": {
        "id": "123xyz",
        "schema_version": null,
        "digest": "abc123",
        "manifest_type": "image",
        "labels": {},
        "annotations": {},
        "is_bootable": false,
        "is_flatpak": false,
        "created_at": "2026-11-03 08:07:52 UTC",
        "updated_at": "2026-11-03 08:07:52 UTC"
      },
      "repositories": [
        {
          "id": 992333848,
          "name": "redis",
          "full_path": "runnervm48cm3/empty_organization/puppet_product/redis",
          "library_instance": true,
          "product_id": 516337990,
          "product_name": "Puppet Product",
          "kt_environment": {
            "id": 562075838,
            "name": "Library"
          },
          "content_view_version": {
            "id": 840492357,
            "name": "ACME Default ContentView 1.0",
            "content_view_id": 30237652
          }
        }
      ],
      "product": {
        "id": 516337990,
        "name": "Puppet Product"
      },
      "environment": {
        "id": 562075838,
        "name": "Library"
      },
      "content_view_version": {
        "id": 840492357,
        "name": "ACME Default ContentView 1.0",
        "content_view_id": 30237652
      },
      "upstream_name": null
    }
  ]
}

Params

Param name Description
organization_id
optional

organization identifier

Validations:

  • Must be a number.

content_view_version_id
optional

content view version identifier

Validations:

  • Must be a number.

content_view_filter_id
optional

content view filter identifier

Validations:

  • Must be a number.

content_view_filter_rule_id
optional

content view filter rule identifier

Validations:

  • Must be a number.

repository_id
optional

repository identifier

Validations:

  • Must be a number.

environment_id
optional

environment identifier

Validations:

  • Must be a number.

ids
optional

ids to filter content by

Validations:

  • Must be an array of any type

include_filter_ids
optional

Includes associated content view filter ids in response

Validations:

  • Must be one of: true, false, 1, 0.

search
optional

Search string

Validations:

  • String

page
optional

Page number, starting at 1

Validations:

  • Must be a number.

per_page
optional

Number of results per page to return

Validations:

  • Must be a number.

order
optional

Sort field and order, eg. ‘id DESC’

Validations:

  • String

full_result
optional

Whether or not to show all results

Validations:

  • Must be one of: true, false, 1, 0.

sort_by
optional

Field to sort the results on

Validations:

  • String

sort_order
optional

How to order the sorted results (e.g. ASC for ascending)

Validations:

  • String


GET /katello/api/docker_tags/:id
Show a docker tag

GET /katello/api/repositories/:repository_id/docker_tags/:id
Show a docker tag

Examples

GET /katello/api/repositories/992333848/docker_tags/17
200
{
  "id": 17,
  "name": "wat",
  "manifest_schema1": {
    "id": "123xyz",
    "schema_version": null,
    "digest": "abc123",
    "manifest_type": "image"
  },
  "manifest_schema2": null,
  "manifest": {
    "id": "123xyz",
    "schema_version": null,
    "digest": "abc123",
    "manifest_type": "image",
    "labels": {},
    "annotations": {},
    "is_bootable": false,
    "is_flatpak": false,
    "created_at": "2026-11-03 08:07:52 UTC",
    "updated_at": "2026-11-03 08:07:52 UTC"
  },
  "repositories": [
    {
      "id": 992333848,
      "name": "redis",
      "full_path": "runnervm48cm3/empty_organization/puppet_product/redis",
      "library_instance": true,
      "product_id": 516337990,
      "product_name": "Puppet Product",
      "kt_environment": {
        "id": 562075838,
        "name": "Library"
      },
      "content_view_version": {
        "id": 840492357,
        "name": "ACME Default ContentView 1.0",
        "content_view_id": 30237652
      }
    }
  ],
  "product": {
    "id": 516337990,
    "name": "Puppet Product"
  },
  "environment": {
    "id": 562075838,
    "name": "Library"
  },
  "content_view_version": {
    "id": 840492357,
    "name": "ACME Default ContentView 1.0",
    "content_view_id": 30237652
  },
  "upstream_name": null,
  "related_tags": [
    {
      "id": 17,
      "name": "wat"
    }
  ]
}

Params

Param name Description
repository_id
optional

repository identifier

Validations:

  • Must be a number.

organization_id
optional

organization identifier

Validations:

  • Must be a number.

id
required

a docker tag identifier

Validations:

  • String


GET /katello/api/docker_tags/compare
List docker_tags

Examples

GET /katello/api/docker_tags/compare
200
{
  "total": 1,
  "subtotal": 1,
  "selectable": 1,
  "page": 1,
  "per_page": 20,
  "error": null,
  "search": null,
  "sort": {
    "by": "id",
    "order": "desc"
  },
  "results": [
    {
      "id": 21,
      "name": "wat",
      "manifest_schema1": {
        "id": "123xyz",
        "schema_version": null,
        "digest": "abc123",
        "manifest_type": "image"
      },
      "manifest_schema2": null,
      "manifest": {
        "id": "123xyz",
        "schema_version": null,
        "digest": "abc123",
        "manifest_type": "image",
        "labels": {},
        "annotations": {},
        "is_bootable": false,
        "is_flatpak": false,
        "created_at": "2026-11-03 08:07:53 UTC",
        "updated_at": "2026-11-03 08:07:53 UTC"
      },
      "repositories": [
        {
          "id": 992333848,
          "name": "redis",
          "full_path": "runnervm48cm3/empty_organization/puppet_product/redis",
          "library_instance": true,
          "product_id": 516337990,
          "product_name": "Puppet Product",
          "kt_environment": {
            "id": 562075838,
            "name": "Library"
          },
          "content_view_version": {
            "id": 840492357,
            "name": "ACME Default ContentView 1.0",
            "content_view_id": 30237652
          }
        }
      ],
      "product": {
        "id": 516337990,
        "name": "Puppet Product"
      },
      "environment": {
        "id": 562075838,
        "name": "Library"
      },
      "content_view_version": {
        "id": 840492357,
        "name": "ACME Default ContentView 1.0",
        "content_view_id": 30237652
      },
      "upstream_name": null,
      "comparison": [
        840492357
      ]
    }
  ]
}

Params

Param name Description
content_view_version_ids
optional

content view versions to compare

Validations:

  • Must be an array of any type

repository_id
optional

Library repository id to restrict comparisons to

Validations:

  • Must be a number.

restrict_comparison
optional

Return same, different or all results

Validations:

  • String


GET /katello/api/docker_tags/:id/repositories
List of repositories for a docker meta tag